Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.mvc.servlet
Class GrailsFlowHandlerMapping

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.handler.AbstractHandlerMapping
                  org.codehaus.groovy.grails.web.servlet.GrailsControllerHandlerMapping
                      org.codehaus.groovy.grails.webflow.mvc.servlet.GrailsFlowHandlerMapping

All Implemented Interfaces:
  GrailsApplicationAware, ApplicationContextAware, Ordered, ServletContextAware, HandlerMapping

    public class GrailsFlowHandlerMapping

extends GrailsControllerHandlerMapping
implements Ordered

A HandlerMapping implementation that maps Grails controller classes onto flows.

Since:
  1.2
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.codehaus.groovy.grails.web.servlet.GrailsControllerHandlerMapping
`MAIN_CONTROLLER_BEAN`

Fields inherited from class org.springframework.context.support.ApplicationObjectSupport
`logger`

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Fields inherited from interface org.springframework.web.servlet.HandlerMapping
`BEST_MATCHING_PATTERN_ATTRIBUTE, PATH_WITHIN_HANDLER_MAPPING_ATTRIBUTE, URI_TEMPLATE_VARIABLES_ATTRIBUTE`

Constructor Summary
`GrailsFlowHandlerMapping()`

Method Summary
`protected Object` | `getHandlerForControllerClass(GrailsControllerClass controllerClass, HttpServletRequest request)` Obtains the handler for the given controller class.

Methods inherited from class org.codehaus.groovy.grails.web.servlet.GrailsControllerHandlerMapping
`establishInterceptors, extendInterceptors, getHandlerExecutionChain, getHandlerInternal, lookupInterceptors, setGrailsApplication`

Methods inherited from class org.springframework.web.servlet.handler.AbstractHandlerMapping
`adaptInterceptor, getAdaptedInterceptors, getDefaultHandler, getHandler, getOrder, initApplicationContext, initInterceptors, setDefaultHandler, setInterceptors, setOrder`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.core.Ordered
`getOrder`

Constructor Detail

### GrailsFlowHandlerMapping

    public GrailsFlowHandlerMapping()

Method Detail

### getHandlerForControllerClass

    protected Object getHandlerForControllerClass(GrailsControllerClass controllerClass,
                                                  HttpServletRequest request)

  Description copied from class: `GrailsControllerHandlerMapping`
  Obtains the handler for the given controller class.

  Overrides:
    `getHandlerForControllerClass` in class `GrailsControllerHandlerMapping`
  Parameters:
    `controllerClass` - The controller class
    `request` - The HttpServletRequest
  Returns:
    The handler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD